SDL_GetWindowSizeInPixels(3)

NAME
SDL_GetWindowSizeInPixels - Get the size of a window's client area, in pixels.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetWindowSizeInPixels(SDL_Window *window, int *w, int *h);

FUNCTION PARAMETERS

window
    the window from which the drawable size should be queried

w   a pointer to variable for storing the width in pixels, may be NULL

h   a pointer to variable for storing the height in pixels, may be NULL

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_CreateWindow(3), SDL_GetWindowSize(3)